# Uses of Interface
org.apache.cxf.databinding.DataReader

Packages that use DataReader
Package
Description
org.apache.cxf.databinding
org.apache.cxf.databinding.source
org.apache.cxf.databinding.stax
org.apache.cxf.interceptor

- ## Uses of DataReader in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding that return DataReader
  Modifier and Type
  Method
  Description
  `<T> DataReader<T>`
  DataBinding.`createReader(Class<T> cls)`

- ## Uses of DataReader in org.apache.cxf.databinding.source

  Classes in org.apache.cxf.databinding.source that implement DataReader
  Modifier and Type
  Class
  Description
  `class`
  `NodeDataReader`
  `class`
  `XMLStreamDataReader`
  Methods in org.apache.cxf.databinding.source that return DataReader
  Modifier and Type
  Method
  Description
  `<T> DataReader<T>`
  SourceDataBinding.`createReader(Class<T> cls)`

- ## Uses of DataReader in org.apache.cxf.databinding.stax

  Classes in org.apache.cxf.databinding.stax that implement DataReader
  Modifier and Type
  Class
  Description
  `static class`
  `StaxDataBinding.XMLStreamDataReader`
  Methods in org.apache.cxf.databinding.stax that return DataReader
  Modifier and Type
  Method
  Description
  `<T> DataReader<T>`
  StaxDataBinding.`createReader(Class<T> cls)`

- ## Uses of DataReader in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return DataReader
  Modifier and Type
  Method
  Description
  `protected DataReader<XMLStreamReader>`
  AbstractInDatabindingInterceptor.`getDataReader(Message message)`
  `protected <T> DataReader<T>`
  AbstractInDatabindingInterceptor.`getDataReader(Message message, Class<T> input)`
  `protected DataReader<Node>`
  AbstractInDatabindingInterceptor.`getNodeDataReader(Message message)`
  Methods in org.apache.cxf.interceptor with parameters of type DataReader
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractInDatabindingInterceptor.`setDataReaderValidation(Service service, Message message, DataReader<?> reader)`
  Based on the Schema Validation configuration, will initialise the DataReader with or without the schema set.